<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Menunggu Proses Peninjauan</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f9;
            height: 100vh;
            margin: 0;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            text-align: center;
            position: relative;
        }

        /* Styling untuk logo di bagian kiri atas */
        .logo {
            position: absolute;
            top: 20px;
            left: 20px;
            display: flex;
            align-items: center;
        }

        .logo img {
            width: 50px;
            height: 50px;
            object-fit: contain;
        }

        /* Styling untuk pesan "Menunggu Proses Peninjauan" */
        .message {
            font-size: 28px;
            color: #333;
            font-weight: bold;
            margin-bottom: 20px;
            text-transform: uppercase;
            letter-spacing: 2px;
        }

        /* Styling untuk status peninjauan */
        .status {
            font-size: 20px;
            color: #007BFF;
            font-weight: normal;
            margin-top: 10px;
            letter-spacing: 1px;
        }

        /* Menambahkan rincian status */
        .status-details {
            margin-top: 20px;
            font-size: 16px;
            color: #555;
            text-align: left;
            width: 80%;
            margin-left: 10%;
        }

        .status-details div {
            margin: 10px 0;
        }

        /* Status item */
        .status-item {
            display: flex;
            align-items: center;
            gap: 10px;
        }

        .status-item span {
            display: inline-block;
            background-color: #ccc;
            border-radius: 50%;
            width: 12px;
            height: 12px;
        }

        /* Status Aktif - Merubah warna untuk status yang sedang aktif */
        .status-item.active span {
            background-color: #007BFF;
        }

        /* GIF Jam Pasir di bawah pesan */
        .hourglass-gif {
            width: 100px;
            height: auto;
            margin-top: 20px;
        }

        /* Animasi FadeIn untuk logo */
        @keyframes fadeInLogo {
            0% { opacity: 0; transform: translateY(-20px); }
            100% { opacity: 1; transform: translateY(0); }
        }

        .logo {
            animation: fadeInLogo 1s ease-out;
        }

    </style>
</head>
<body>

    <!-- Logo di bagian kiri atas -->
    <div class="logo">
        <img src="https://via.placeholder.com/50" alt="Logo">
    </div>

    <!-- Pesan Menunggu Proses Peninjauan -->
    <div class="message">
        Menunggu Proses Peninjauan
    </div>

    <!-- Status Peninjauan -->
    <div class="status">
        Status: Sedang Meninjau
    </div>

    <!-- Rincian Status -->
    <div class="status-details">
        <div class="status-item active">
            <span></span>
            <span>Proses Awal</span>
        </div>
        <div class="status-item active">
            <span></span>
            <span>Sedang Meninjau</span>
        </div>
        <div class="status-item">
            <span></span>
            <span>Proses Selesai</span>
        </div>
    </div>

    <!-- Menampilkan GIF Jam Pasir -->
    <img class="hourglass-gif" src="https://media.tenor.com/nEoz_3Q6_1YAAAAj/hourglass-time.gif" alt="Jam Pasir" />

</body>
</html>
